Core - Bug # 26515

Status: Closed Priority: Should have
Author: Oliver Hader Category:

Created: 2011-04-29 Assigned To: Oliver Hader
Updated: 2013-06-01 Due date:

TYPO3 Version: 4.6

PHP Version:

Complexity:

Is Regression:

Sprint Focus:

Subject: TCA definition is not available in upgrade wizards

Description

The global TCA definition is empty in some upgrade wizards. This was caused by a general clean-up to remove PHP global
statements that did not seem to be required anymore. However, if PHP files get included inside a method or function accessing $TCA

did not happen in a global context.

Related issues:

related to Core - Task # 25334: Remove global declarations inside methods

Closed 2011-03-16

Associated revisions

Revision 69fb8866 - 2011-05-13 17:23 - Steffen Gebert

[BUGFIX] TCA definition is not available in upgrade wizards

The global TCA definition is empty in some upgrade wizards.
This was caused by a general clean-up to remove PHP global
statements that did not seem to be required anymore. However,
if PHP files get included inside a method or function accessing
$TCA did not happen in a global context.

Change-Id: [17df6b3caeda0ff2b5a7399c457ccebc57627882
Resolves: #26515
Reviewed-on: http:/review.typo3.org/1809

Reviewed-by: Steffen Gebert
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History

#1 - 2011-04-29 19:58 - Mr. Hudson

Patch set 1 of change 117dféb3caeda0ff2b5a7399c457ccebc57627882 has been pushed to the review server.

It is available at http://review.typo3.org/1809

#2 - 2011-04-29 19:58 - Oliver Hader

- Status changed from New to Under Review
#3 - 2011-05-10 23:10 - Mr. Hudson

Patch set 2 of change 117df6b3caeda0ff2b5a7399c457ccebc57627882 has been pushed to the review server.

It is available at http://review.typo3.org/1809

#4 - 2011-05-11 14:08 - Xavier Perseguers
- Target version changed from 1081 to 1238

#5 - 2011-05-13 17:30 - Steffen Gebert
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:69fb8866b94c75b3b73395cfa4bd0a900e6ab53c.

#6 - 2012-03-07 13:31 - Xavier Perseguers

- Status changed from Resolved to Closed

#7 - 2013-06-01 14:43 - Ernesto Baschny
- Target version deleted (1238)
